/**
 * Please add your custom config
 *
 * @version 4
 */
import { AxiosInstance, AxiosResponse } from "axios";
declare function getAxiosInstance(security: any): AxiosInstance;
interface ErrorParam {
    message: string;
    status?: number;
    response?: AxiosResponse;
    errors?: any[];
}
declare class RequestError extends Error {
    message: string;
    status?: number;
    response?: AxiosResponse;
    errors?: any[];
    constructor({ message, status, response, errors }: ErrorParam);
    isApiException: boolean;
    static isRequestError(error: any): error is RequestError;
    /** @deprecated Use isRequestError instead */
    static isApiException(error: any): error is RequestError;
}
export declare type Security = any[] | undefined;
export declare type SwaggerResponse<R> = R;
export { getAxiosInstance, RequestError };
